# Soldier Statue Spawner

A basic plugin to spawn the Rick May tribute statues at manually-defined locations.

## Configuration

Create an SQLite database at `addons/sourcemod/data/sqlite/soldier_statues.sq3`, initializing
the table by running the following query:

```
CREATE TABLE IF NOT EXIST locations (
	map TEXT NOT NULL UNIQUE,
	xpos REAL,
	ypos REAL,
	zpos REAL,
	pitchang REAL,
	yawang REAL,
	rollang REAL
);
```

Then install the plugin.  The plugin will automatically spawn a statue (or teleport an existing
one) into locations you specify.  Only when the Soldier memorial holiday is active, of course.

## Commands

`csrd_statue_place_aim` places the statue at where you are aiming.
The statue is positioned so it's facing towards you and has a pitch angle towards your feet.
This position is saved to the database, replacing one with a matching map name.

`csrd_statue_reload` reloads the position from the database.  Used when manually editing the
position with a database editor.

## A "CSRD Internal" Plugin

This is a plugin mainly intended for use in [Pikachu's Canadian Server of Romance and
Drama][csrd].

While I'm happy if you find some useful code for your own plugins, I can't provide any support
for said code, nor will I offer any guarantees that the plugin will remain usable outside of its
main use.

[csrd]: https://csrd.science/
